Subject: bug#50344: C-x v keybinding for vc-print-branch-log

From: Dmitry Gutov <[email-masked]>
Date: Thu, 7 Oct 2021 14:35:06 +0300

On 07.10.2021 14:25, Gregory Heytings wrote:
> 
>>>> It makes no sense to develop branch commands without 'C-x v b' binding.
>>>
>>> If C-x v b isn't available anymore, perhaps C-x v < or ^ would be a 
>>> good alternative?
>>
>> For vc-switch-backend?
>>
> 
> No, for vc-branch-* commands.  vc-switch-backend is already on C-x v b.

It doesn't really make sense to move the branch commands to 'C-x v <' 
while vc-dir-mode-map has branch commands on 'C-x v B'. We should make 
the UI more uniform, not create more exceptions.

It's not mnemonic either.